SimpleInstanceManager (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.tomcat

## Class SimpleInstanceManager

- java.lang.Object
- - org.apache.tomcat.SimpleInstanceManager

- All Implemented Interfaces:
    `InstanceManager`

      public class SimpleInstanceManager
      extends java.lang.Object
      implements InstanceManager

  SimpleInstanceManager Implement the org.apache.tomcat.InstanceManager interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleInstanceManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroyInstance​(java.lang.Object o)` |
    `java.lang.Object` | `newInstance​(java.lang.Class<?> clazz)` |
    `void` | `newInstance​(java.lang.Object o)` |
    `java.lang.Object` | `newInstance​(java.lang.String className)` |
    `java.lang.Object` | `newInstance​(java.lang.String fqcn, java.lang.ClassLoader classLoader)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleInstanceManager

          public SimpleInstanceManager()

  - ### Method Detail

    - #### newInstance

          public java.lang.Object newInstance​(java.lang.Class<?> clazz)
                                       throws java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException,
                                              javax.naming.NamingException,
                                              java.lang.InstantiationException,
                                              java.lang.NoSuchMethodException

      Specified by:
        `newInstance` in interface `InstanceManager`
      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `javax.naming.NamingException`
        `java.lang.InstantiationException`
        `java.lang.NoSuchMethodException`

    - #### newInstance

          public java.lang.Object newInstance​(java.lang.String className)
                                       throws java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException,
                                              javax.naming.NamingException,
                                              java.lang.InstantiationException,
                                              java.lang.ClassNotFoundException,
                                              java.lang.NoSuchMethodException

      Specified by:
        `newInstance` in interface `InstanceManager`
      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `javax.naming.NamingException`
        `java.lang.InstantiationException`
        `java.lang.ClassNotFoundException`
        `java.lang.NoSuchMethodException`

    - #### newInstance

          public java.lang.Object newInstance​(java.lang.String fqcn,
                                              java.lang.ClassLoader classLoader)
                                       throws java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException,
                                              javax.naming.NamingException,
                                              java.lang.InstantiationException,
                                              java.lang.ClassNotFoundException,
                                              java.lang.NoSuchMethodException

      Specified by:
        `newInstance` in interface `InstanceManager`
      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `javax.naming.NamingException`
        `java.lang.InstantiationException`
        `java.lang.ClassNotFoundException`
        `java.lang.NoSuchMethodException`

    - #### newInstance

          public void newInstance​(java.lang.Object o)
                           throws java.lang.IllegalAccessException,
                                  java.lang.reflect.InvocationTargetException,
                                  javax.naming.NamingException

      Specified by:
        `newInstance` in interface `InstanceManager`
      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `javax.naming.NamingException`

    - #### destroyInstance

          public void destroyInstance​(java.lang.Object o)
                               throws java.lang.IllegalAccessException,
                                      java.lang.reflect.InvocationTargetException

      Specified by:
        `destroyInstance` in interface `InstanceManager`
      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`